Package org.eclipse.birt.chart.event

# Class PrimitiveRenderEvent

java.lang.Object
java.util.EventObject
org.eclipse.birt.chart.event.ChartEvent
org.eclipse.birt.chart.event.PrimitiveRenderEvent

All Implemented Interfaces:
  `Serializable`, `Comparable`

Direct Known Subclasses:
  `ArcRenderEvent`, `AreaRenderEvent`, `ClipRenderEvent`, `ImageRenderEvent`, `LineRenderEvent`, `OvalRenderEvent`, `PolygonRenderEvent`, `RectangleRenderEvent`, `TextRenderEvent`, `TransformationEvent`

public abstract class PrimitiveRenderEvent extends ChartEvent implements Comparable

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DRAW`
A constant indicats a Drawing operation.
`static final int`
`FILL`
A constant indicats a Filling operation.
`int`
`iObjIndex`
An index value used internally.

## Constructor Summary

Constructors
Constructor
Description
`PrimitiveRenderEvent(Object oSource)`
Creates a Primitive Render Event from a source object.

## Method Summary

Modifier and Type
Method
Description
`static final int`
`compareRegular(Bounds bo1, Bounds bo2)`
Compare two bounds regularly.
`int`
`compareTo(Object o)`
Compares two primitives in terms of Z-order rendering
`static final int`
`compareTransposed(Bounds bo1, Bounds bo2)`
Compare two bounds in transposed way.
`PrimitiveRenderEvent`
`copy()`
`void`
`draw(IDeviceRenderer idr)`
Causes this instruction to 'draw' itself on the device renderer
`void`
`fill(IDeviceRenderer idr)`
Causes this instruction to 'fill' itself on the device renderer
`Fill`
`getBackground()`
`Bounds`
`getBounds()`
Returns the mimimum bounds required to contain the rendering area for current event.
`final double`
`getDepth()`
`Label`
`getLabel()`
`LineAttributes`
`getLineAttributes()`
`boolean`
`isEnabled()`
`final void`
`setDepth(double dDepth)`
Sets the depth of current event.
`void`
`setEnable(boolean enabled)`

### Methods inherited from class org.eclipse.birt.chart.event.ChartEvent

`reset, setSourceObject`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DRAW

public static final int DRAW
A constant indicats a Drawing operation.

See Also:
  - Constant Field Values

### FILL

public static final int FILL
A constant indicats a Filling operation.

See Also:
  - Constant Field Values

### iObjIndex

public int iObjIndex
An index value used internally. Note this is public only for cross-package internal access.

## Constructor Details

### PrimitiveRenderEvent

public PrimitiveRenderEvent(Object oSource)
Creates a Primitive Render Event from a source object. The source can be of any type. Inside the chart engine, it is a StructureSource object

Parameters:
  `oSource` - The Source Object
See Also:
  - `StructureSource`

## Method Details

### getBounds

public Bounds getBounds() throws ChartException
Returns the mimimum bounds required to contain the rendering area for current event.

Returns:
Throws:
  `ChartException` - if not implemented by concrete class

### copy

public PrimitiveRenderEvent copy() throws ChartException

Returns:
  A copy of this primitive rendering instruction implemented by subclasses
Throws:
  `ChartException`

### compareTransposed

public static final int compareTransposed(Bounds bo1, Bounds bo2)
Compare two bounds in transposed way.

Parameters:
  `bo1` -
  `bo2` -
Returns:

### compareRegular

public static final int compareRegular(Bounds bo1, Bounds bo2)
Compare two bounds regularly.

Parameters:
  `bo1` -
  `bo2` -
Returns:

### compareTo

public int compareTo(Object o)
Compares two primitives in terms of Z-order rendering

Specified by:
  `compareTo` in interface `Comparable`

### draw

public void draw(IDeviceRenderer idr) throws ChartException
Causes this instruction to 'draw' itself on the device renderer

Parameters:
  `idr` -
Throws:
  `ChartException`

### fill

public void fill(IDeviceRenderer idr) throws ChartException
Causes this instruction to 'fill' itself on the device renderer

Parameters:
  `idr` -
Throws:
  `ChartException`

### setDepth

public final void setDepth(double dDepth)
Sets the depth of current event.

Parameters:
  `dDepth` -

### getDepth

public final double getDepth()

Returns:
  Returns the depth of current event.

### getLineAttributes

public LineAttributes getLineAttributes()

Returns:
  A reference to the LineAttributes

### getBackground

public Fill getBackground()

Returns:
  A reference to the Background Fill

### getLabel

public Label getLabel()

### setEnable

public void setEnable(boolean enabled)

### isEnabled

public boolean isEnabled()